旧バージョンの SAP Recovery Kit からアップグレードするには、次の手順を実行してください。

  1. アップグレードの前に、設定の計画 トピックを読み直して、新しいソフトウェアによる影響をすべて理解しているか確認してください。

    注記: SAP Netweaver 7.3 より前のバージョンを実行している場合、SAPHOST エージェントをインストールする必要があります。詳細については、「設定の計画」トピックの重要事項 を参照してください。

    lkbackupユーティリティを使用して、現在の階層のスナップショットを取得することを推奨します。

  2. SPS for Linux インストールガイドSPS のアップグレード トピックの手順に従ってください。

    既存の階層のバックアップが実行されます。その後、アップグレードにより旧階層が破壊され、新しい階層が再作成されます。障害が発生した場合、以下の「障害が発生した場合 」 を参照してください。

  3. アップグレードが終了したら、LifeKeeper GUI を停止してから再起動し、更新された GUI クライアントをロードしてください。

    LifeKeeper GUI サーバーはページをキャッシュするため、新しいページを更新するために再起動が必要になります。root として、コマンド「lkGUIserver restart」を入力すると、GUI サーバーが停止し再起動されます。このような再起動を実行する前に、すべてのクライアントを終了させてください。

    注記: すべての LifeKeeper システムを再起動する必要はなく、テストでシステムのリサイクルは要求されませんが、実稼働環境では、一定時間のダウンタイムを計画し、正式なシステム準備時間に行うことをお勧めします。

  4. LifeKeeper UI にログインし、階層をチェックし、階層が正しいことを確認してください。

障害が発生した場合

アップグレードを再試行できます。アップグレードスクリプトは、 /tmp ディレクトリに完全な状態で保存されています (lkcreatesaptmp)。これは、アップグレード中に使用される一時ファイルです。ここにコマンドが記述され、階層を作成するために実行できます。

障害やエラーが発生した場合、または階層が正しくない可能性がある場合、次の手順を推奨します。

  1. $LKROOT/bin/lkcli stop を実行して、LifeKeeper を停止してください。

  2. rpm -e steeleye-lkSAP を実行して、新しい rpm を削除してください。

  3. rpm -i steeleye-lkSAP-<previous version>.noarch.rpm を実行して、古い rpm をインストールしてください。

  4. lkbackup -x を実行して、古い階層をリストアしてください。

  5. LifeKeeper を再起動してください。

  6. SIOS サポートにお問い合わせ ください。サポートへのお問い合わせ前に、ログ、階層の前のスナップショット、作成され障害が発生した階層、アップグレード中に表示されたエラーメッセージをお手元に用意してください。

フィードバック

フィードバックありがとうございました

このトピックへフィードバック

送信